@mixin app-user-profile-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-user-profile {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }  
  
    .user-profile {
      margin-top: 30px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
      
      .user-profile-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;
        }
        
        .mat-card-content {  
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
            }
          }  
          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                // color: #FF5722;
                color: mat-color($warn);
              }
            }    
          }
          
          .btn-section {
            width: 100%;
            padding: 10px;
            margin: 5px 0px;
          }
        }

        #supervisor-select {
          .mat-form-field-flex>.mat-form-field-infix {
            padding: 0.8em 0px !important;
            height: 30px;
          }
          .mat-form-field-infix {
            border-top: 0.14375em solid transparent;
          }
          
         }
       
         .wrap-mat-checkbox-label {
          white-space: normal;
      }
        
      }

      
  
    }
  }